<?php
namespace App\JsonRpc;

interface NewsServiceInterface
{
    /**
     * @param array $data
     *  @return array
     */
    public function getCategoryList(array $data): array;

    /**
     * @param array $data
     *  @return array
     */
    public function myCategoryList(array $data): array;
    /**
     * @param array $data
     *  @return array
     */
    public function categoryList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addCategory(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delCategory(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateCategory(array $data): array;

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getArticleList(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addArticle(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function delArticle(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function updateArticle(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function getArticleInfo(array $data): array;

    /**
     * 获取导航池信息
     * @param array $data
     * @return array
     */
    public function getCategoryInfo(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function upArticleStatus(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticlett(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteModelArticles(array $data): array;

    //20250226  产品列表
    public function getGoodList(array $data): array;
    public function getGoodInfo(array $data): array;
    public function addGood(array $data): array;
    public function delGood(array $data): array;
    public function updateGood(array $data): array;
    //20250226  产品列表
    //20250306  求职信息
    public function getJobHuntingList(array $data): array;
    public function getJobHuntingInfo(array $data): array;
    public function addJobHunting(array $data): array;
    public function delJobHunting(array $data): array;
    public function updateJobHunting(array $data): array;
    public function getJobHuntingData(array $data): array;
    //20250306  求职信息

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticleList(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function selectWebsiteArticleInfo(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteSurvey(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addWebsiteSurveyOption(array $data): array;

    /**
     * @param array $data
     * @return array
     */
    public function addWebsiteSurveyVote(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function checkCategoryName(array $data): array;

    public function getSurveyList(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function getSurveyInfo(array $data): array;
    /**
     * @param array $data
     * @return array
     */
    public function selectWebsiteArticle(array $data): array;
}
